#include <stdio.h>
#include <stdlib.h>

int racuna_bananice(int n){
    int br=0;
    for(int i=1; i<=n; i++) {
        br=br+i;
    }
return br;
}

int main(){
    int T;
    scanf("%i", &T);
    int k[T],m[T],n[T];
    for(int i=0; i<T; i++){
        scanf("%i %i %i", &n[i], &m[i], &k[i]);
    }
    for(int i=0; i<T; i++) {
        if ((((k[i]-(n[i]%k[i]))*racuna_bananice(n[i]/k[i]))+((n[i]%k[i])*racuna_bananice(n[i]/k[i] + 1)))<=m[i])
            printf("Tak\n");
        else
            printf("Nie\n");
    }
return 0;
}